(function ($) {

  $(document).ready(function () {

    //add colorpicker to textfields
    $('#edit-main-color, #edit-highlight-color, #edit-accent-color').ColorPicker({
      onSubmit: function (hsb, hex, rgb, el) {
        $(el).val('#' + hex);
        $(el).ColorPickerHide();
      },
      onBeforeShow: function () {
        $(this).ColorPickerSetColor(this.value);
      }
    })
      .bind('keyup', function () {
        $(this).ColorPickerSetColor(this.value);
      });

    $('#volunteer_photo_preview').popover({
      content: '<img src="' + $("input[name=volunteer_photo_url]").val() + '" />'
    });
    $('#logo_preview').popover({
      content: '<img src="' + $("input[name=logo_url]").val() + '" />'
    });
    $('#get_to_know_photo_preview').popover({
      content: '<img src="' + $("input[name=get_to_know_photo_url]").val() + '" />'
    });

    $('#volunteer_photo_example').popover({
      content: '<img src="' + Drupal.settings.voterockit.abs_path + '/includes/misc/volunteer_example.png" />'
    });
    $('#logo_example').popover({
      content: '<img src="' + Drupal.settings.voterockit.abs_path + '/includes/misc/logo_example.png" />'
    });
    $('#get_to_know_photo_example').popover({
      content: '<img src="' + Drupal.settings.voterockit.abs_path + '/includes/misc/get_to_know_example.png" />'
    });

    $('#main_color_example').popover({
      content: '<img src="' + Drupal.settings.voterockit.abs_path + '/includes/misc/main_color.png" />'
    });
    $('#hightlight_color_example').popover({
      content: '<img src="' + Drupal.settings.voterockit.abs_path + '/includes/misc/highlight_color.png" />'
    });
    $('#accent_color_example').popover({
      content: '<img src="' + Drupal.settings.voterockit.abs_path + '/includes/misc/accent_color.png" />'
    });

    $("#get_stripe_key").leanModal();


  }); //edr
})(jQuery);