<pre>
<?php
error_reporting(E_ALL ^ E_NOTICE);
date_default_timezone_set('America/Chicago');
include('../voterockit.class.php');
const APPID = 'MgoLdrhORiXfaYQoJbXm9AjZHUGMAjF8hHQROhaR';
const RESTAPIKEY = 'si0pM0gRvgp8aXXwCm9SN96kFkNAJcqjDyAbapwd';


/* ACCOUNTS TEST*/
$account = new voteRockit\accounts();
$account->appId = APPID;
$account->restApiKey = RESTAPIKEY;

echo "\r\n\r\n== Test: Add an account == \r\n";
$newAccountObject = array(
    'address' => '1234 Apple Rd',
    'city' => 'Springdale',
    'state' => 'AR',
    'zip' => '72762',
    'phone' => '479-555-5555',
    'campaignAddress' => '8765 Orange Rd',
    'campaignCity' => 'Little Rock',
    'campaignState' => 'AR',
    'campaignZip' => '72227',
    'campaignPhone' => '501-555-5555',
    'contactName' => 'David Hudson',
    'contactEmail' => 'david@hudson.com'
);

$newAccountResponse = $account->add($newAccountObject);
$newAccountResponse['result'] = json_decode($newAccountResponse['result'], true);
print_r($newAccountResponse);

echo "\r\n\r\n== Test: Update an account == \r\n";
$updatedAccountObject = array(
    'objectId' => $newAccountResponse['result']['message']['objectId'],
    'address' => '5678 Orange Street',
    'city' => 'Fayetteville',
    'state' => 'AR',
    'zip' => '72701',
    'phone' => '479-444-4444',
    'campaignAddress' => '1234 Banana Dr',
    'campaignCity' => 'North Little Rock',
    'campaignState' => 'AR',
    'campaignZip' => '72211',
    'campaignPhone' => '501-666-5555',
    'contactName' => 'David Budson',
    'contactEmail' => 'david@budson.com'
);

$updatedAccountResponse = $account->update($updatedAccountObject);
$updatedAccountResponse['result'] = json_decode($updatedAccountResponse['result'], true);
print_r($updatedAccountResponse);

/* CONFIGURATION TEST */
$config = new voteRockit\configuration();
$config->appId = APPID;
$config->restApiKey = RESTAPIKEY;

echo "\r\n\r\n== Test: Add config to an account == \r\n";
$newConfigObject = array(
    'accountId' => $newAccountResponse['result']['message']['objectId'],
    'electionDate' => array('__type' => 'Date', 'iso' => date('c', time())),
    'getToKnowPhoto' => 'documents.png',
    'lastConfigurationChangeDate' => array('__type' => 'Date', 'iso' => date('c', time())),
    'localizationFile' => 'test.txt',
    'logo' => 'test.gif',
    'stripeKey' => 'whatever',
    'themeAccentColor' => '#FFFFFF',
    'themeHighlightColor' => '#0A0A0A',
    'themeMainColor' => '#000000',
    'volunteerPhoto' => 'documents.png'
);

$newConfigResponse = $config->add($newConfigObject);
$newConfigResponse['result'] = json_decode($newConfigResponse['result'], true);
print_r($newConfigResponse);


echo "\r\n\r\n== Test: Update config on an account == \r\n";
$updateConfigObject = array(
    'objectId' => $newConfigResponse['result']['message']['objectId'],
    'accountId' => $newAccountResponse['result']['message']['objectId'],
    'electionDate' => array('__type' => 'Date', 'iso' => date('c', time())),
    'getToKnowPhoto' => 'know.jpg',
    'lastConfigurationChangeDate' => array('__type' => 'Date', 'iso' => date('c', time())),
    'localizationFile' => 'localize.txt',
    'logo' => 'logo.gif',
    'stripeKey' => 'Whatever 2',
    'themeAccentColor' => '#000FFF',
    'themeHighlightColor' => '#0B0B0B',
    'themeMainColor' => '#0F00F0',
    'volunteerPhoto' => 'volunteer.jpg'
);

$updateConfigResponse = $config->update($updateConfigObject);
$updateConfigResponse['result'] = json_decode($updateConfigResponse['result'], true);
print_r($updateConfigResponse);

/* EVENTS TEST*/
$event = new voteRockit\events();
$event->appId = APPID;
$event->restApiKey = RESTAPIKEY;

echo "\r\n\r\n== Test: Add an event == \r\n";
$newEventObject = array(
    'endDate' => array('__type' => 'Date', 'iso' => date('c', time())),
    'eventDescription' => 'Event description',
    'eventImage' => 'test.gif',
    'shortDescription' => 'Short description',
    'startDate' => array('__type' => 'Date', 'iso' => date('c', time())),
    'status' => 'active',
    'title' => 'Test Event Title'
);

$newEventResponse = $event->add($newEventObject);
$newEventResponse['result'] = json_decode($newEventResponse['result'], true);
print_r($newEventResponse);

echo "\r\n\r\n== Test: Update an event == \r\n";
$updatedEventObject = array(
    'objectId' => $newEventResponse['result']['message']['objectId'],
    'endDate' => array('__type' => 'Date', 'iso' => date('c', time())),
    'eventDescription' => 'New event description',
    'eventImage' => 'test.gif',
    'shortDescription' => 'New short description',
    'startDate' => array('__type' => 'Date', 'iso' => date('c', time())),
    'status' => 'active',
    'title' => 'New Test Event Title'
);

$updatedEventResponse = $event->update($updatedEventObject);
$updatedEventResponse['result'] = json_decode($updatedEventResponse['result'], true);
print_r($updatedEventResponse);

/* POSTS TEST*/
$post = new voteRockit\posts();
$post->appId = APPID;
$post->restApiKey = RESTAPIKEY;

echo "\r\n\r\n== Test: Add a post == \r\n";
$newPostObject = array(
    'author' => 'David Hudson',
    'body' => 'This is the test body',
    'publishDate' => array('__type' => 'Date', 'iso' => date('c', time())),
    'shareEnabled' => true,
    'shortDescription' => 'This is a test post',
    'title' => 'My Test Post',
    'status' => 'published',
    'type' => 'blog'
);

$newPostResponse = $post->add($newPostObject);
$newPostResponse['result'] = json_decode($newPostResponse['result'], true);
print_r($newPostResponse);

echo "\r\n\r\n== Test: Update a post == \r\n";
$updatePostObject = array(
    'objectId' => $newPostResponse['result']['message']['objectId'],
    'author' => 'David Budson',
    'body' => 'This is a different test body',
    'publishDate' => array('__type' => 'Date', 'iso' => date('c', time())),
    'shareEnabled' => false,
    'shortDescription' => 'This is a different test post',
    'title' => 'Another Test Post',
    'status' => 'draft',
    'type' => 'blog'
);

$updatePostResponse = $post->update($updatePostObject);
$updatePostResponse['result'] = json_decode($updatePostResponse['result'], true);
print_r($updatePostResponse);

/* GET TESTS
$voteRockit = new voteRockit\voteRockit();
$voteRockit->appId = APPID;
$voteRockit->restApiKey = RESTAPIKEY;

echo "\r\n\r\n== Test: Get list of events == \r\n";
print_r($voteRockit->query('getEvents'));

echo "\r\n\r\n== Test: Get list of users == \r\n";
print_r($voteRockit->query('getUsers'));

echo "\r\n\r\n== Test: Get list of posts == \r\n";
print_r($voteRockit->query('getPosts'));

echo "\r\n\r\n== Test: Get list of donations == \r\n";
print_r($voteRockit->query('getDonations'));

echo "\r\n\r\n== Test: Get list of screens == \r\n";
print_r($voteRockit->query('getScreens'));
*/

?>
